org.apache.commons.io.filefilter

## Class HiddenFileFilter

- java.lang.Object
- - org.apache.commons.io.filefilter.AbstractFileFilter
  - - org.apache.commons.io.filefilter.HiddenFileFilter

- All Implemented Interfaces:
    FileFilter, FilenameFilter, Serializable, FileVisitor<Path>, PathFilter, PathVisitor, IOFileFilter

      public class HiddenFileFilter
      extends AbstractFileFilter
      implements Serializable

  This filter accepts `File`s that are hidden.

  Example, showing how to print out a list of the current directory's hidden files:

  ## Using Classic IO

       File dir = new File(".");
       String[] files = dir.list(HiddenFileFilter.HIDDEN);
       for (String file : files) {
           System.out.println(file);
       }

  Example, showing how to print out a list of the current directory's visible (i.e. not hidden) files:

       File dir = new File(".");
       String[] files = dir.list(HiddenFileFilter.VISIBLE);
       for (String file : files) {
           System.out.println(file);
       }

  ## Using NIO

       final Path dir = Paths.get("");
       final AccumulatorPathVisitor visitor = AccumulatorPathVisitor.withLongCounters(HiddenFileFilter.HIDDEN);
       //
       // Walk one dir
       Files.walkFileTree(dir, Collections.emptySet(), 1, visitor);
       System.out.println(visitor.getPathCounters());
       System.out.println(visitor.getFileList());
       //
       visitor.getPathCounters().reset();
       //
       // Walk dir tree
       Files.walkFileTree(dir, visitor);
       System.out.println(visitor.getPathCounters());
       System.out.println(visitor.getDirList());
       System.out.println(visitor.getFileList());

  Since:
    1.3
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static IOFileFilter` | `HIDDEN` Singleton instance of hidden filter
    `static IOFileFilter` | `VISIBLE` Singleton instance of visible filter

    - ### Fields inherited from interface org.apache.commons.io.filefilter.IOFileFilter

      `EMPTY_STRING_ARRAY`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `HiddenFileFilter()` Restrictive constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `accept(File file)` Checks to see if the file is hidden.
    `FileVisitResult` | `accept(Path file, BasicFileAttributes attributes)` Checks to see if the file is hidden.

    - ### Methods inherited from class org.apache.commons.io.filefilter.AbstractFileFilter

      `accept, handle, postVisitDirectory, preVisitDirectory, toString, visitFile, visitFileFailed`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.commons.io.filefilter.IOFileFilter

      `and, negate, or`

- - ### Field Detail

    - #### HIDDEN

          public static final IOFileFilter HIDDEN

      Singleton instance of hidden filter

    - #### VISIBLE

          public static final IOFileFilter VISIBLE

      Singleton instance of visible filter

  - ### Constructor Detail

    - #### HiddenFileFilter

          protected HiddenFileFilter()

      Restrictive constructor.

  - ### Method Detail

    - #### accept

          public boolean accept(File file)

      Checks to see if the file is hidden.
      Specified by:
        `accept` in interface `FileFilter`
      Specified by:
        `accept` in interface `IOFileFilter`
      Overrides:
        `accept` in class `AbstractFileFilter`
      Parameters:
        `file` - the File to check
      Returns:
        `true` if the file is hidden, otherwise `false`.

    - #### accept

          public FileVisitResult accept(Path file,
                                        BasicFileAttributes attributes)

      Checks to see if the file is hidden.
      Specified by:
        `accept` in interface `PathFilter`
      Specified by:
        `accept` in interface `IOFileFilter`
      Parameters:
        `file` - the File to check
        `attributes` - the file's basic attributes (TODO may be null).
      Returns:
        `true` if the file is hidden, otherwise `false`.
      Since:
        2.9.0

Copyright © 2002–2021 The Apache Software Foundation. All rights reserved.